<div class="mt-4 rounded border border-2 w-100 p-4 mt-2">
    <h2>DETALLE DE FLUJO</h2>
    <div class="row mb-2">
        <div class="col-md-2">
            <b>Nro. Flujo: </b>{{tramiteFlujo.idflujo}}
        </div>
        <div class="col-md-4">
            <b>Fecha Inicio: </b>{{tramiteFlujo.fecha_inicio | date: 'dd/MM/yyyy'}}
        </div>
        <div class="col-md-4">
            <b>Fecha Término: </b>{{tramiteFlujo.fecha_termino | date: 'dd/MM/yyyy'}}
        </div>   
    </div>
    
    <div class="row mb-2">
        <div class="col-md-6">
            <b>Tipo Publicidad: </b> {{tramiteFlujo.tipopublicidad}}
        </div>        
    </div>
    <div class="row mb-2">
        <div class="col-md-6">
            <b>Tipo Trámite: </b> {{tramiteFlujo.tipotramite}}
        </div>
        <div class="col-md-6">
            <b>Monto: </b> {{tramiteFlujo.monto | number : '1.2-2'}}
        </div>
    </div>

    <table class="table table-bordered table-striped table-hover">
        <thead>
        <tr>
            <th class="table-dark">Nro. Tarea</th>
            <th class="table-dark">Nombre Tarea</th>
            <th class="table-dark">Usuario Responsable</th>
            <th class="table-dark">Fecha Asignación</th>
            <th class="table-dark">Estado</th>              
        </tr>
        </thead>
        <tbody>
            <tr *ngFor="let tarea of tareas; let i=index">
            <td>{{tarea.idtarea}}</td>
            <td>{{tarea.nombre_tarea}}</td>
            <td>{{tarea.usuario_responsable}}</td>
            <td>{{tarea.fecha_alta | date: 'dd/MM/yyyy'}}</td>
            <td>{{tarea.estado}}</td>
            </tr>
        </tbody>
    </table>
    <div class="row">
        <div class="col-md-4">
        </div>
        <div class="col-md-4">
            <button class="w-100" *ngIf="tramiteFlujo.idtarea==6" mat-button color="primary" (click)="pagar()">Pagar</button>
        </div>
        <div class="col-md-4">
            <button class="w-100" mat-button color="success" (click)="cerrar()">Cerrar</button>
        </div>
    </div>
    
</div>

